///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/fx/ceiling_light
{
	qer_editorimage textures/azlcmb1_bus/fx/whitelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 5000
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_bus/fx/whitelight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_bus/fx/whitelight.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////

models/mapobjects/cmm_lightbulb/bulb
{
	qer_editorimage textures/azlcmb1_bus/fx/whitelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	surfaceparm trans
	q3map_image textures/azlcmb1_bus/fx/yellowlight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_bus/fx/whitelight.tga
	}
}

models/mapobjects/azlcmb1_bus/walllight
{
	qer_editorimage textures/azlcmb1_bus/fx/whitelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	surfaceparm trans
	q3map_image textures/azlcmb1_bus/fx/yellowlight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/azlcmb1_bus/walllight.tga
	}
}

///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/fx/whitelight
{
	qer_editorimage textures/azlcmb1_bus/fx/whitelight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2800
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_bus/fx/whitelight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_bus/fx/whitelight.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/fx/yellowlight
{
	qer_editorimage textures/azlcmb1_bus/fx/yellowlight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 2000
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_bus/fx/yellowlight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_bus/fx/yellowlight.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/glassbright
{
	qer_editorimage textures/glassbright.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/azlcmb1_bus/fx/glassbright.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}	
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/glasssolid
{
	qer_editorimage textures/glasssolid.tga
	surfaceparm nolightmap
	{
		map textures/azlcmb1_bus/fx/glasssolid.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}	
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/glassspeckled
{
	qer_editorimage textures/glassspeckled.tga
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/azlcmb1_bus/fx/bus_reflection.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}


models/mapobjects/azlcmb1_bus/wazza
{
	qer_editorimage models/mapobjects/azlcmb1_bus/wazza.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 3000
	surfaceparm trans
	q3map_lightimage models/mapobjects/azlcmb1_bus/wazza.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map models/mapobjects/azlcmb1_bus/wazza.tga
	}
}

///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/thesky
{
	qer_editorimage env/azlcmb1_bus/miramar_ft.tga
	q3map_lightRGB 1 1 .93
	q3map_skylight 420 6
	surfaceparm nomarks
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1.000000 0.997119 0.99 260 90 55 2 4
	q3map_nolightmap
	skyparms env/azlcmb1_bus/miramar - -
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build1
{
    qer_editorimage textures/azlcmb1_bus/buildings/build1.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build1.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build2
{
    qer_editorimage textures/azlcmb1_bus/buildings/build2.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build2.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build3
{
    qer_editorimage textures/azlcmb1_bus/buildings/build3.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build3.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build4
{
    qer_editorimage textures/azlcmb1_bus/buildings/build4.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build4.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build5
{
    qer_editorimage textures/azlcmb1_bus/buildings/build5.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build5.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build6
{
    qer_editorimage textures/azlcmb1_bus/buildings/build6.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build6.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build7
{
    qer_editorimage textures/azlcmb1_bus/buildings/build7.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build7.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build8
{
    qer_editorimage textures/azlcmb1_bus/buildings/build8.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build8.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/buildings/build9
{
    qer_editorimage textures/azlcmb1_bus/buildings/build9.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/buildings/build9.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/chainlink
{
	qer_editorimage textures/azlcmb1_bus/misc/chain.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	deformVertexes autosprite2
	nopicmip
	{
		map textures/azlcmb1_bus/misc/chain.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/chainfence
{
	qer_editorimage textures/azlcmb1_bus/misc/fence.tga
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/azlcmb1_bus/misc/fence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
///////////////////////////////////////////////////////////////
// Illuminated signs
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/exit
{
	qer_editorimage textures/azlcmb1_bus/misc/exit_sign.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	q3map_lightimage textures/azlcmb1_bus/misc/exit_sign.tga

	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/azlcmb1_bus/misc/exit_sign.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/exit_side
{
    {
        map $lightmap
    }
    {
        map textures/azlcmb1_bus/misc/exit_sign_green.tga
        blendFunc filter
    }
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/gate
{	
    qer_editorimage textures/azlcmb1_bus/misc/gatey.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	{
		map textures/azlcmb1_bus/misc/gatey.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/corporatecolour
{
    qer_editorimage textures/azlcmb1_bus/misc/corporatecolour.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/misc/corporatecolour.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/signs/yourwaste
{
    qer_editorimage textures/azlcmb1_bus/signs/yourwaste.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/signs/yourwaste.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/signs/logo
{
    qer_editorimage textures/azlcmb1_bus/signs/logo.tga
    q3map_forcemeta
    {
        map $lightmap
    }
	{
		map textures/azlcmb1_bus/signs/logo.tga
		blendFunc filter
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/signs/whiteline
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
       map textures/azlcmb1_bus/signs/whiteline.jpg
	   blendfunc gl_dst_color gl_src_color
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/signs/tarmuck
{ 
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	cull disable
	{
       map textures/azlcmb1_bus/signs/tarmuck.jpg
	   blendfunc gl_dst_color gl_src_color
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
models/mapobjects/azlcmb1_bus/metal_grill
{	
    qer_editorimage models/mapobjects/azlcmb1_bus/metal_grill.tga
	surfaceparm alphashadow
	nopicmip
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/azlcmb1_bus/metal_grill.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/arrivals
{
	qer_editorImage textures/azlcmb1_bus/fx/arrivals.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1200
	q3map_lightimage textures/azlcmb1_bus/fx/arrivals.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		tcmod scroll .2  0
		map textures/azlcmb1_bus/fx/arrivals.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/exit_to_empuries
{
	qer_editorImage textures/azlcmb1_bus/fx/exit_to_empuries.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1200
	q3map_lightimage textures/azlcmb1_bus/fx/exit_to_empuries.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		tcmod scroll .1 0
		map textures/azlcmb1_bus/fx/exit_to_empuries.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/follow_signs_exit
{
	qer_editorImage textures/azlcmb1_bus/fx/follow_signs_exit.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1200
	q3map_lightimage textures/azlcmb1_bus/fx/follow_signs_exit.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		tcmod scroll .1 0
		map textures/azlcmb1_bus/fx/follow_signs_exit.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/green_line_depart
{
	qer_editorImage textures/azlcmb1_bus/fx/green_line_depart.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1200
	q3map_lightimage textures/azlcmb1_bus/fx/green_line_depart.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		tcmod scroll .1 0
		map textures/azlcmb1_bus/fx/green_line_depart.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/pink_line_depart
{
	qer_editorImage textures/azlcmb1_bus/fx/pink_line_depart.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 1200
	q3map_lightimage textures/azlcmb1_bus/fx/pink_line_depart.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		tcmod scroll .1 0
		map textures/azlcmb1_bus/fx/pink_line_depart.tga
	}
}
///////////////////////////////////////////////////////////////
//
///////////////////////////////////////////////////////////////
textures/azlcmb1_bus/misc/thescreen
{
	qer_editorImage textures/thescreen.jpg
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	q3map_lightimage textures/azlcmb1_bus/misc/metro_screen.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		animMap 0.2 textures/azlcmb1_bus/signs/screen1.tga textures/azlcmb1_bus/signs/screen2.tga textures/azlcmb1_bus/signs/screen1.tga

	}
}



textures/azlcmb1_bus/greenarrow
{ 
	qer_editorimage textures/azlcmb1_bus/signs/greenarrow.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/azlcmb1_bus/signs/greenarrow.tga
		blendfunc filter
	}
}

textures/azlcmb1_bus/pinkarrow
{ 
	qer_editorimage textures/azlcmb1_bus/signs/pinkarrow.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/azlcmb1_bus/signs/pinkarrow.tga
		blendfunc filter
	}
}

textures/azlcmb1_bus/splurt1
{ 
	qer_editorimage textures/azlcmb1_bus/signs/splurt1.tga
	polygonOffset
	nomipmaps
	nopicmip
	
	surfaceparm trans
	{
		map textures/azlcmb1_bus/signs/splurt1.tga
		blendfunc filter
	}
}

textures/azlcmb1_bus/splurt2
{ 
	qer_editorimage textures/azlcmb1_bus/signs/splurt2.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	{
		map textures/azlcmb1_bus/signs/splurt2.tga
		blendfunc filter
	}
}

models/mapobjects/azlcmb1_bus/bus_shelter_top
{
  qer editorimage models/mapobjects/azlcmb1_bus/bus_shelter_top.tga
  qer_trans 0.8
  q3map_forcemeta
  surfaceparm trans
  cull none
  {
    map textures/azlcmb1_bus/fx/bus_reflection.tga
    tcgen environment
    blendFunc GL_ONE GL_ONE    
  }
  {
    map models/mapobjects/azlcmb1_bus/bus_shelter_top.tga
    blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
  }
  {
    map $lightmap
    blendfunc GL_DST_COLOR GL_SRC_COLOR
  }
}

models/mapobjects/azlcmb1_bus/bus_shelter_side
{
  qer editorimage models/mapobjects/azlcmb1_bus/bus_shelter_side.tga
    q3map_forcemeta
    cull none
    {
        map $lightmap
    }
	{
		map models/mapobjects/azlcmb1_bus/bus_shelter_side.tga
		blendFunc filter
	}
}


textures/common/skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

models/mapobjects/vv_darts/vv_darts_cull
{
        qer_editorimage models/mapobjects/vv_darts/vv_darts.tga
        qer_alphafunc greater 0.5
        cull none
        nomipmaps
        {
                map models/mapobjects/vv_darts/vv_darts.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}
